# Tarfile created using git
# git clone git://git.moblin.org/clutter-imcontext
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%define git_version 9043ff1
%define tarfile %{name}-%{version}.tar.bz2

%define major		0
%define api		0.1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}

Name:		clutter-imcontext
Version:	0.1.6
Release:	%mkrel 3
Summary:	IMContext Framework Library for Clutter
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.moblin.org/
Source0:	%{tarfile}
BuildRequires:	glib2-devel
BuildRequires:	clutter-devel
BuildRequires:	gtk-doc
Obsoletes: %{name}-docs

%description
IMContext Framework Library for Clutter.

%package devel
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{_lib}clutter-imcontext%{api}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
Files for development with %{name}.


%prep
%setup -q

%build
# Don't run configure from autogen.sh
sed -i -e '/configure/d' autogen.sh
./autogen.sh

%configure2_5x --disable-gtk-doc --disable-static

%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files
%dir %{_sysconfdir}/clutter-imcontext
%config %{_sysconfdir}/clutter-imcontext/enable_autoshow
%{_bindir}/clutter-scan-immodules
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files devel
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Sun Jul 03 2022 tex - 0.1.6-3pclos2022
- rebuild for 2022
